=== debian/changelog ===
lomiri-indicator-network (1.0.2-4build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:39:22 +0000

lomiri-indicator-network (1.0.2-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:58:27 +0000

lomiri-indicator-network (1.0.2-4build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:45:11 +0000

lomiri-indicator-network (1.0.2-4build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:08:28 +0000

lomiri-indicator-network (1.0.2-4) unstable; urgency=medium

  * debian/rules:
    + Stop using pkgkde_symbolshelper tool.
  * debian/control:
    + Drop from B-D: pkg-kde-tools.
  * debian/liblomiri-connectivity-qt1-1.symbols:
    + Drop file. Having caused more woes than happiness, esp. in relation to
      cross-distro maintenance (Debian/Ubuntu).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 03 Mar 2024 00:20:46 +0100

lomiri-indicator-network (1.0.2-3) unstable; urgency=medium

  * debian/control:
    + Promote from S: to D: (lomiri-indicator-network): urfkill. Otherwise, the
      flightmode button will not work.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Feb 2024 17:23:22 +0100

lomiri-indicator-network (1.0.2-2) unstable; urgency=medium

  * debian/copyright:
    + Update auto-generated copyright.in file.
  * debian/rules:
    + Revert: Drop removal of empty dir, no longer in upstream"
    + Adjust path when removing empty dir after build.
  * debian/control:
    + In B-D:, switch from systemd to systemd-dev. (Closes: #1060514).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Feb 2024 13:36:45 +0100

lomiri-indicator-network (1.0.2-1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * New upstream release
  * debian/copyright: Use my debian email
  * debian/copyright: Refresh copyright to match upstream
  * debian/symbols: Add symbol to match new release
  * debian/l-c-doc: Adjust new folder name for docs
  * debian/install: Add dbus service file from new release
  * debian/rules: Drop strict symbols
  * debian/rules: Drop removal of empty dir, no longer in upstream

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Remove unnecessary get-orig-source-target.

  [ Mike Gabriel ]
  * Revert "Remove unnecessary get-orig-source-target."

 -- Marius Gripsgard <mariogrip@debian.org>  Fri, 02 Feb 2024 02:59:17 +0100
