=== debian/control ===
Source: lomiri-indicator-network
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <mariogrip@debian.org>,
Build-Depends: cmake,
               cmake-extras,
               dbus,
               debhelper-compat (= 13),
               doxygen,
               googletest (>= 1.10),
               libgtest-dev,
               graphviz,
               intltool,
               libglib2.0-dev,
               libgmenuharness-dev (>= 0.1.1),
               libqofono-dev,
               libqofono-qt5-0,
               libqtdbusmock1-dev,
               libqtdbustest1-dev,
               libsecret-1-dev,
               liblomiri-url-dispatcher-dev,
               liblomiri-api-dev,
               libnm-dev,
               ofono-dev,
               pkg-config,
               python3-all:native,
               python3-dbusmock (>= 0.28.4),
               qtbase5-dev,
               qtbase5-dev-tools,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qttools5-dev-tools,
               valgrind-if-available,
               systemd-dev [linux-any],
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-network.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-indicator-network
Homepage: https://gitlab.com/ubports/development/core/lomiri-indicator-network

Package: lomiri-indicator-network
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ayatana-indicator-common,
         network-manager,
         network-manager-openvpn,
         network-manager-pptp,
         suru-icon-theme,
         urfkill,
Suggests: ofono,
Conflicts: chewie,
           indicators-client-plugin-network,
           indicator-network-autopilot,
           indicator-network-tools,
Replaces: indicator-network-autopilot,
          indicator-network-tools,
Provides: indicator-network-autopilot,
          indicator-network-tools,
Description: Systems settings menu service - Network indicator
 The Lomiri-indicator-network service is responsible for exporting the system
 settings menu through D-Bus.
 .
 This indicator is basically an Ayatana system indicator, but it has been
 specifically been designed for the Lomiri Operating Environment. If you
 try using it with another desktop environment, note that you are on
 unexplored territory.

Package: liblomiri-connectivity-qt1-1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: liblomiri-connectivity-qt1,
Replaces: liblomiri-connectivity-qt1,
Recommends: lomiri-indicator-network (>= ${source:Version}),
Description: Lomiri Connectivity Qt API
 Lomiri Connectivity API - Qt bindings.
 .
 This package contains the share library.

Package: liblomiri-connectivity-qt1-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-connectivity-qt1-1 (= ${binary:Version}),
         qtbase5-dev
Suggests: connectivity-doc,
Description: Lomiri Connectivity Qt API - development files
 Lomiri Connectivity API - Qt bindings.
 .
 This package contains development files to develop against the Qt
 library.

Package: qml-module-lomiri-connectivity
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-connectivity-qt1-1 (= ${binary:Version}),
Description: Lomiri Connectivity API QML Components
 Lomiri Connectivity API - QML bindings.
 .
 This package contains the qtdeclarative bindings for Lomiri connectivity
 API.

Package: lomiri-connectivity-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri Connectivity API - documentation
 Lomiri Connectivity API.
 .
 This package contains developer documentation.
