=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lomiri-indicator-network/tags .*/lomiri-indicator-network-(\d\S+)\.tar\.gz
