## lomiri-indicator-network 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.13)
 
-project(lomiri-indicator-network VERSION 1.0.2 LANGUAGES C CXX)
+project(lomiri-indicator-network VERSION 1.1.0 LANGUAGES C CXX)
 
 string(TOLOWER "${CMAKE_BUILD_TYPE}" build_type_lower)
 
@@ -14,11 +14,16 @@
 option(REMOTE_BUILD "Remote build (skip docs, translations, tests)." FALSE)
 option(ENABLE_TESTS "Enable tests" TRUE)
 option(ENABLE_COVERAGE "Generate Coverage Reports" TRUE)
+option(ENABLE_MECHANICD "Enable integration with Mechanicd" OFF)
 option(ENABLE_UBUNTU_COMPAT "Enable Ubuntu.Connectivity QML compatibility layer" OFF)
 option(USE_SYSTEMD "Install systemd services" ON)
 
 if(${trace_messages})
   add_definitions(-DINDICATOR_NETWORK_TRACE_MESSAGES)
+endif()
+
+if(ENABLE_MECHANICD)
+  add_definitions(-DENABLE_MECHANICD)
 endif()
 
 add_definitions(
