=== src/connectivity-api/connectivity-qml/CMakeLists.txt ===
 
find_package(QmlPlugins)

find_package(Qt5Quick REQUIRED)

include_directories(
  "${CMAKE_SOURCE_DIR}/src/connectivity-api/connectivity-qt"
)

set(CONNECTIVITY_QML_SRC
    plugin.cpp
)

add_library(connectivity-qml SHARED
  ${CONNECTIVITY_QML_SRC}
)
target_link_libraries(
  connectivity-qml
  ${CONNECTIVITY_QT_LIB_TARGET}
)


target_link_libraries(connectivity-qml
  Qt5::Qml
)


add_qmlplugin(
  Lomiri.Connectivity
  1.0
  Lomiri/Connectivity
  TARGET_PREFIX Connectivity
  TARGETS connectivity-qml
)
