=== debian/changelog ===
lomiri-indicator-network (1.1.0-1build1) plucky; urgency=medium

  * Rebuild against new ppp 2.5.2-1+1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2025 15:28:59 +0100

lomiri-indicator-network (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_lomiri-indicators-target.patch. Applied upstream.
  * debian/control:
    + Require suru-icon-theme >= 2024.10.13~.
    + In B-D, switch from pkg-config to pkgconf.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jan 2025 16:54:45 +0100

lomiri-indicator-network (1.0.2-7) unstable; urgency=medium

  * debian/control:
    + Add to D (liblomiri-connectivity-qt1-dev): liblomiri-api-dev.
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Aug 2024 19:41:59 +0200

lomiri-indicator-network (1.0.2-6) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/control:
    + Revert "Bump B-D to libglib2.0-dev (>= 2.80.2-2~) due to a memory problem
      between 2.80.0 and 2.80.2-1)." The issue is now gone from Debian and
      the hard-wired B-D blocks backporting this src:pkg to Ubuntu 24.04 LTS.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Aug 2024 10:51:17 +0200

lomiri-indicator-network (1.0.2-5) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/patches:
    + Add 0001_lomiri-indicators-target.patch. Launch with lomiri-
      indicators.target only now, not with ayatana-indicators.target anymore.
  * debian/control:
    + Bump B-D to libglib2.0-dev (>= 2.80.2-2~) due to a memory problem between
      2.80.0 and 2.80.2-1). (Closes: #1071328).
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 May 2024 15:00:58 +0200
