=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lomiri-indicator-network
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <mariogrip@debian.org>,
@@ -26,7 +25,7 @@
                liblomiri-api-dev,
                libnm-dev,
                ofono-dev,
-               pkg-config,
+               pkgconf,
                python3-all:native,
                python3-dbusmock (>= 0.28.4),
                qtbase5-dev,
@@ -36,7 +35,7 @@
                qttools5-dev-tools,
                valgrind-if-available,
                systemd-dev [linux-any],
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-network.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-indicator-network
@@ -51,7 +50,7 @@
          network-manager,
          network-manager-openvpn,
          network-manager-pptp,
-         suru-icon-theme,
+         suru-icon-theme (>= 2024.10.13~),
          urfkill,
 Suggests: ofono,
 Conflicts: chewie,
@@ -94,6 +93,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          liblomiri-connectivity-qt1-1 (= ${binary:Version}),
+         liblomiri-api-dev,
          qtbase5-dev
 Suggests: connectivity-doc,
 Description: Lomiri Connectivity Qt API - development files
