## lomiri-indicator-network 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.13)
 
-project(lomiri-indicator-network VERSION 1.1.0 LANGUAGES C CXX)
+project(lomiri-indicator-network VERSION 1.1.1 LANGUAGES C CXX)
 
 string(TOLOWER "${CMAKE_BUILD_TYPE}" build_type_lower)
