=== debian/changelog ===
lomiri-indicator-network (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 1004_ignore-SimPin2.patch. Fix SIM PIN entry e.g. on Lenovo Yoga X1
      (Mediatek T700 5G modem).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2025 17:02:44 +0200
