=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                qttools5-dev-tools,
                valgrind-if-available,
                systemd-dev [linux-any],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-network.git
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-indicator-network
