=== data/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(
   INDICATOR_DIR
-  "${CMAKE_INSTALL_DATADIR}/unity/indicators"
+  "${CMAKE_INSTALL_FULL_DATADIR}/unity/indicators"
   CACHE FILEPATH "Indicator directory"
 )
 
@@ -73,7 +73,7 @@
 ###########################
 
 # where to install
-set (XDG_AUTOSTART_DIR "${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostart")
+set (XDG_AUTOSTART_DIR "${CMAKE_INSTALL_FULL_SYSCONFDIR}/xdg/autostart")
 message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")
 
 set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
