=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(INSTALL_DOCDIR ${CMAKE_INSTALL_DOCDIR})
+set(INSTALL_DOCDIR ${CMAKE_INSTALL_FULL_DOCDIR})
 
 option(BUILD_DOC "Build documentation by default" TRUE)
 option(PRIVATE_DOCS "Build private documentation" FALSE)
