=== po/CMakeLists.txt ===
--- 
+++ 
@@ -36,5 +36,5 @@
                    COPYONLY)
 endforeach(LANG)
 gettext_process_pot_file(${POT_FILE} ALL
-                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
+                         INSTALL_DESTINATION ${CMAKE_INSTALL_FULL_LOCALEDIR}
                          LANGUAGES ${LANGS})
