=== doc/qt/CMakeLists.txt ===
add_subdirectory(cpp)
add_subdirectory(qml)
