=== src/connectivity-api/CMakeLists.txt ===

#add_subdirectory(connectivity-cpp)
add_subdirectory(connectivity-qt)
add_subdirectory(connectivity-qml)
if(ENABLE_UBUNTU_COMPAT)
  add_subdirectory(connectivity-qml-ubuntu-compat)
endif()
