=== debian/changelog ===
lomiri-indicator-network (1.1.2-1) unstable; urgency=medium

  * New upstream release.
    - Support building against GTest/GMock >= 1.17.0. (Closes: #1114189).
  * debian/control:
    + Add Multi-Arch: foreign declaration. Thanks, Multi-Arch Hinter.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 06 Sep 2025 11:37:14 +0200
