=== debian/control ===
--- 
+++ 
@@ -118,6 +118,7 @@
 Package: lomiri-connectivity-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Description: Lomiri Connectivity API - documentation
