=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

NULL =

include /usr/share/dpkg/default.mk

#export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk

ENABLE_TESTS = ON
ifneq (,$(filter $(DEB_HOST_ARCH),arm64 s390x powerpc ppc64el))
        ENABLE_TESTS = OFF
endif

%:
	dh $@

override_dh_install:
	# drop upstart files
	rm -Rfv debian/tmp/usr/share/upstart/
	# empty directory
	rmdir debian/tmp/usr/share/doc/lomiri-indicator-network/qml/html/images/
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_TESTS=${ENABLE_TESTS} \
	                     $(NULL)

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
